Last-Modified: Sat, 30 Nov 2024 07:32:19 GMT
Expires: Tue, 28 Nov 2034 07:32:19 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix-publish.conf.in « etc - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/etc/guix-publish.conf.in?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='ffb97e695c7a2a4f80915387cec802acdfa28c0f'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=ffb97e695c7a2a4f80915387cec802acdfa28c0f'>refs</a><a href='/guix/log/etc/guix-publish.conf.in'>log</a><a class='active' href='/guix/tree/etc/guix-publish.conf.in?id=ffb97e695c7a2a4f80915387cec802acdfa28c0f'>tree</a><a href='/guix/commit/etc/guix-publish.conf.in?id=ffb97e695c7a2a4f80915387cec802acdfa28c0f'>commit</a><a href='/guix/diff/etc/guix-publish.conf.in?id=ffb97e695c7a2a4f80915387cec802acdfa28c0f'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/etc/guix-publish.conf.in'>
<input type='hidden' name='id' value='ffb97e695c7a2a4f80915387cec802acdfa28c0f'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=ffb97e695c7a2a4f80915387cec802acdfa28c0f'>root</a>/<a href='/guix/tree/etc?id=ffb97e695c7a2a4f80915387cec802acdfa28c0f'>etc</a>/<a href='/guix/tree/etc/guix-publish.conf.in?id=ffb97e695c7a2a4f80915387cec802acdfa28c0f'>guix-publish.conf.in</a></div><div class='content'>blob: 7b319f66ae5d1eef9fa9365ee8afbf06ed6153fe (<a href='/guix/about/etc/guix-publish.conf.in?id=ffb97e695c7a2a4f80915387cec802acdfa28c0f'>about</a>) (<a href='/guix/plain/etc/guix-publish.conf.in?id=ffb97e695c7a2a4f80915387cec802acdfa28c0f'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
</pre></td>
<td class='lines'><pre><code># This is a "job" for the Upstart init system to launch 'guix-daemon'.
# Drop it in /etc/init to have 'guix-daemon' automatically started.

description "Publish the GNU Guix store"

start on runlevel [2345]

stop on runlevel [016]

task

exec @localstatedir@/guix/profiles/per-user/root/current-guix/bin/guix publish --user=nobody --port=8181
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
